Subject: RE: configure: error: installation or configuration problem: C co mpiler cannot create executables
From: David Humphrey <[email-masked]>
To: "'Joan M Friedman'" <[email-masked]>, Charles Wilson <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 11 Sep 2001 18:39:19 -0500

Funny thing that this one would come up on the list today.  I ran into
exactly the same problem while trying to compile libwmf.  It turned out that
configure was trying to use CC for the compiler, i.e., an undefined
environment variable.  I set CC=gcc and it worked fine.

Regards,
David L. Humphrey
Director, Technical Services
Bell Geospace, Inc

> -----Original Message-----
> From: Joan M Friedman [mailto:[email-masked]]
> Sent: Tuesday, September 11, 2001 2:28 PM
> To: Charles Wilson
> Cc: [email-masked]'
> Subject: Re: configure: error: installation or configuration 
> problem: C
> compiler cannot create executables
> 
> 
> This turned out to be a path problem. configure worked after I removed
> everything from 
> my windows-environment path that seemed unnecessary. I suspect the
> culprit was an 
> environment variable called LIBS.
> 
> Charles Wilson wrote:
> > 
> > Check for case-sensitivity problems.  IIRC, expat had some 
> files in it
> > that differ only in case; this breaks badly on windows.
> > 
> > --chuck
> > 
> > Joan M Friedman wrote:
> > 
> > > I've been searching the lists for a solution to this 
> problem - I can
> > > find the problem posted, but not
> > > the solution.
> > >
> > > While trying to run configure for expat in cygwin, the 
> gcc compiler
> > > check fails. I removed
> > > my previous cygwin installation (including removing all cygwin and
> > > cygnus registry keys and searching
> > > the file system for 'cyg'), emptied the recycle bin, 
> restarted, and did
> > > a full clean install of the latest cygwin,
> > > but it still happens.  I have the results of configure, 
> gcc -v, and
> > > cygcheck -s -r -v below.
> > >
> > 
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/